Bug 172627 - java/openjdk7: Option to not install debuginfo files
Summary: java/openjdk7: Option to not install debuginfo files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-12 07:20 UTC by Alexey Markov
Modified: 2012-11-01 04:41 UTC (History)
0 users

See Also:


Attachments
file.diff (692 bytes, patch)
2012-10-12 07:20 UTC, Alexey Markov
no flags Details | Diff
patch.txt (862 bytes, text/plain; format=flowed)
2012-10-29 06:54 UTC, Alexey Markov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Markov 2012-10-12 07:20:00 UTC
By default java/openjdk7 port build and install 13 .debuginfo files, which takes 368 Mb on disk and significally increases time for package building and installing. Proposed option allows not install .debuginfo files for those who do not need it, and decrease used space by OpenJDK7 from 517 Mb to only 149 Mb.

Fix: Attached patch add option to not install debuginfo files.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-10-12 07:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alexey Markov 2012-10-29 06:54:06 UTC
Hello!

Updated patch for current port version.

-- 
WBR, Alexey Markov.
Comment 3 Greg Lewis freebsd_committer 2012-11-01 04:40:28 UTC
State Changed
From-To: open->closed

Thanks for the suggestion.  I've used a different option name which will, in 
the future, have broader debug implications.  I also ended up defaulting it 
to off so that the debuginfo files won't install by default.